## edu.stanford.nlp.international.morph
Class MorphoFeatures

    java.lang.Object
      edu.stanford.nlp.international.morph.MorphoFeatures

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ArabicMorphoFeatureSpecification.ArabicMorphoFeatures

    public class MorphoFeatures

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`protected Map<MorphoFeatureSpecification.MorphoFeatureType,String>` `fSpec`

Constructor Summary
`MorphoFeatures()`

Method Summary
`void` `addFeature(MorphoFeatureSpecification.MorphoFeatureType feat, String val)`
`MorphoFeatures` `fromTagString(String str)` Assumes that the tag string has been formed using a call to getTag().
`String` `getTag(String baseTag)` Build a POS tag consisting of a base category plus inflectional features.
`String` `getValue(MorphoFeatureSpecification.MorphoFeatureType feat)`
`boolean` `hasFeature(MorphoFeatureSpecification.MorphoFeatureType feat)`
`int` `numActiveFeatures()`
`int` `numFeatureMatches(MorphoFeatures other)`
`String` `toString()` values() returns the values in the order in which they are declared.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fSpec

    protected final Map<MorphoFeatureSpecification.MorphoFeatureType,String> fSpec

Constructor Detail

### MorphoFeatures

    public MorphoFeatures()

Method Detail

### addFeature

    public void addFeature(MorphoFeatureSpecification.MorphoFeatureType feat,
                           String val)

### hasFeature

    public boolean hasFeature(MorphoFeatureSpecification.MorphoFeatureType feat)

### getValue

    public String getValue(MorphoFeatureSpecification.MorphoFeatureType feat)

### numFeatureMatches

    public int numFeatureMatches(MorphoFeatures other)

### numActiveFeatures

    public int numActiveFeatures()

### getTag

    public String getTag(String baseTag)

  Build a POS tag consisting of a base category plus inflectional features.

  Parameters:
    `baseTag` -
  Returns:

### fromTagString

    public MorphoFeatures fromTagString(String str)

  Assumes that the tag string has been formed using a call to getTag(). As such, it removes the basic category from the feature string.

  Parameters:
    `str` -
  Returns:

### toString

    public String toString()

  values() returns the values in the order in which they are declared. Thus we will not have the case where two feature types can yield two strings: -feat1:A-feat2:B -feat2:B-feat1:A

  Overrides:
    `toString` in class `Object`

Stanford NLP Group